import { ChartAnnotation, ChartOptions, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsContext, EChartsOptions } from './types';
export declare function cartesian3d(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: ChartOptions, type: string): EChartsContext;
export declare function cartesianCoordinate3d(data: Array<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): {
    grid3D: any;
    xAxis3D: {
        type: string;
    };
    yAxis3D: {
        type: string;
    };
    zAxis3D: {
        type: string;
    };
    visualMap: any[];
    datasets: any[];
};
